aboutsummaryrefslogtreecommitdiff
path: root/crosperf/run_tests.sh
diff options
context:
space:
mode:
authorCaroline Tice <cmtice@google.com>2015-12-11 12:07:59 -0800
committerchrome-bot <chrome-bot@chromium.org>2015-12-14 20:07:20 +0000
commite627fd61c2edba668eb2af8221892286b13f05a3 (patch)
treeee5ccc249db07b031c67fc83d1f4669c509c7720 /crosperf/run_tests.sh
parent75e1ccc6513c4529e47007105b7c523755f8e0c0 (diff)
downloadtoolchain-utils-e627fd61c2edba668eb2af8221892286b13f05a3.tar.gz
Crosperf: Finish fixing unittest problems.
This patch finishes fixing the unittest problems. They now all work. BUG=chromium:538397 TEST=./run_tests.sh now completes with no errors. Change-Id: Ie501437d199bfafc8a84cd2a95862550992c2cb8 Reviewed-on: https://chrome-internal-review.googlesource.com/241925 Commit-Ready: Caroline Tice <cmtice@google.com> Tested-by: Caroline Tice <cmtice@google.com> Reviewed-by: Caroline Tice <cmtice@google.com>
Diffstat (limited to 'crosperf/run_tests.sh')
-rwxr-xr-xcrosperf/run_tests.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/crosperf/run_tests.sh b/crosperf/run_tests.sh
index 2a35cc73..24de3eb5 100755
--- a/crosperf/run_tests.sh
+++ b/crosperf/run_tests.sh
@@ -4,10 +4,15 @@
# Author: raymes@google.com (Raymes Khoury)
export PYTHONPATH+=":.."
+exit_status=0
for test in $(find -name \*test.py); do
echo RUNNING: ${test}
if ! ./${test} ; then
- echo "Test Failed!"
- exit 1
+ echo " "
+ echo "*** Test Failed! (${test}) ***"
+ echo " "
+ exit_status=1
fi
done
+
+exit $exit_status